# A simple makefile generator by KiSoft, 2010. mailto: kisoft@rambler.ru
# version: 0.3.12.5

# Project Variables start
CPP=avr-g++.exe
CC=avr-gcc.exe
LD=avr-g++.exe
LIB=avr-ar.exe
WINDRES=
# Project Variables end

# Target: Release

OBJS_RELEASE=obj\Release\main.o obj\Release\sensors.o obj\Release\xbus.o obj\Release\i2c-uart.o

Release: bin/Release/InertialHand.elf

bin/Release/InertialHand.elf: $(OBJS_RELEASE)
	@echo Building console executable bin\Release\InertialHand.elf
	@avr-g++.exe -LC:\WinAVR-20100110\avr\lib  -o bin\Release\InertialHand.elf $(OBJS_RELEASE)  -mmcu=atxmega128a1 -Wl,-Map=bin\Release\InertialHand.elf.map,--cref  

obj\Release\main.o: main.c
	@echo Compiling: main.c
	@avr-gcc.exe -Wall -mmcu=atxmega128a1 -DF_CPU=16000000UL  -Os    -IC:\WinAVR-20100110\avr\include  -c main.c -o obj\Release\main.o

obj\Release\sensors.o: sensors.c
	@echo Compiling: sensors.c
	@avr-gcc.exe -Wall -mmcu=atxmega128a1 -DF_CPU=16000000UL  -Os    -IC:\WinAVR-20100110\avr\include  -c sensors.c -o obj\Release\sensors.o

obj\Release\xbus.o: xbus.c
	@echo Compiling: xbus.c
	@avr-gcc.exe -Wall -mmcu=atxmega128a1 -DF_CPU=16000000UL  -Os    -IC:\WinAVR-20100110\avr\include  -c xbus.c -o obj\Release\xbus.o

obj\Release\i2c-uart.o: i2c-uart.c
	@echo Compiling: i2c-uart.c
	@avr-gcc.exe -Wall -mmcu=atxmega128a1 -DF_CPU=16000000UL  -Os    -IC:\WinAVR-20100110\avr\include  -c i2c-uart.c -o obj\Release\i2c-uart.o

xbus.c: xbus.h

sensors.c: sensors.h i2c-uart.h

main.c: i2c-uart.h xbus.h

i2c-uart.c: i2c-uart.h sensors.h

.PHONY: clean

clean: 
	@echo Delete $(OBJS_RELEASE) bin\Release\InertialHand.elf
	-@del /f $(OBJS_RELEASE) bin\Release\InertialHand.elf



